Observability

Aggregate Observability Sessions

Aggregates the sessions data.

POST
/observability.sessions.aggregate

Aggregates the sessions data.

Authorization

auth-token

AuthorizationBearer <token>

All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request. How do I find my token?

In: header

Request Body

application/json

type*string
Value in"mobile" | "web"
aggregations?

List of aggregation configurations. Each aggregation has a key field for identification.

partition_filters?

To filter indexes by partition fields.

schema_type*string
Value in"mobile_custom_events" | "mobile_network" | "web_console" | "web_custom_events" | "web_event" | "web_network"
time_range*|

Provides ways to specify date ranges on objects.

version_key*string

The unique app ID to which the session belongs.

Formattext
Length1 <= length
app_version?array<string>

Filter by app versions.

created_at?|

Provides ways to specify date ranges on objects.

custom_events?
device_model?array<string>

Filter by device models.

has_exception_occurred?boolean

Filter by exception occurrence.

is_anonymous?boolean

Filter by anonymous users.

is_anr?boolean

Filter by ANR occurrence.

is_crash?boolean

Filter by crash occurrence.

manufacturer?array<string>

Filter by device manufacturers.

network_type?array<string>

Filter by network types.

os_version?array<string>

Filter by OS versions.

rage_tap?boolean

Filter by rage tap.

response_time_list?
rev_org?array<string>

Filter by Rev org.

rev_user?array<string>

Filter by Rev user.

screen_name?array<string>

Filter by screen name.

session_attributes?

Filter by session attributes.

session_duration?

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.devrev.ai/observability.sessions.aggregate" \  -H "Content-Type: application/json" \  -d '{    "type": "mobile",    "schema_type": "mobile_custom_events",    "time_range": {      "type": "preset"    },    "version_key": "string"  }'
{
  "aggregations": [
    {
      "key": "string",
      "result_type": "bucket_results",
      "buckets": [
        {
          "bucket_type": "bucket",
          "doc_count": 18446744073709552000,
          "key": null,
          "sub_aggregations": [
            {
              "key": "string",
              "result_type": "bucket_results",
              "buckets": []
            }
          ]
        }
      ]
    }
  ]
}
{
  "detail": "string",
  "message": "string",
  "type": "artifact_already_attached_to_a_parent",
  "existing_parent": "string",
  "is_same": true
}
{
  "detail": "string",
  "message": "string",
  "type": "dev_org_deactivated"
}
{
  "detail": "string",
  "message": "string",
  "type": "forbidden",
  "object_ids": [
    "string"
  ]
}
{
  "detail": "string",
  "message": "string",
  "type": "request_entity_too_large",
  "max_bytes": 0
}
{
  "detail": "string",
  "message": "string",
  "type": "too_many_requests",
  "retry_after": 0
}
{
  "detail": "string",
  "message": "string",
  "type": "internal_error",
  "reference_id": "string"
}
{
  "detail": "string",
  "message": "string",
  "type": "service_unavailable"
}